Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.afp
Interface Completable

All Known Implementing Classes:
  AbstractDataObject, AbstractGraphicsDrawingOrderContainer, AbstractPageObject, ResourceEnvironmentGroup, StreamedResourceGroup

public interface Completable

Set and expose the internal completeness of an object.

Method Summary
`boolean` | `isComplete()` Returns true if this object is complete
`void` | `setComplete(boolean complete)` Sets whether or not this object is complete or not

Method Detail

### setComplete

    public void setComplete(boolean complete)

  Sets whether or not this object is complete or not

  Parameters:
    `complete` - true if this object is complete

### isComplete

    public boolean isComplete()

  Returns true if this object is complete

  Returns:
    true if this object is complete

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.